/Users/bernard/b20/bsoft/src/rwmol/rwEMBL.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmol/rwEMBL.cpp - Library routines to read and write EMBL sequence files.

SYNOPSIS

#include 'rwEMBL.h'
#include 'utilities.h'
#include <fstream>

  Functions
int readEMBL (Bstring &filename, Bmolgroup *molgroup)
Reads EMBL format sequence files.
int writeEMBL (Bstring &filename, Bmolgroup *molgroup)
Writes EMBL format sequence files.

  Variables
int verbose

Detailed Description

Library routines to read and write EMBL sequence files.

Author:
    Bernard Heymann

Date:
    Created: 19990123

    Modified: 20060722

Definition in file rwEMBL.cpp.

Function Documentation

  int readEMBL (Bstring & filename, Bmolgroup * molgroup)

Reads EMBL format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    EMBL format:
    ID   AQP1_HUMAN
    DE   AQP1_HUMAN, 527 bases, EB1B8D0 checksum.
    SQ             527 BP
        ---------- ---------- ---------- ---------- ---------- ----MASEFK

Definition at line 29 of file rwEMBL.cpp.

  int writeEMBL (Bstring & filename, Bmolgroup * molgroup)

Writes EMBL format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 105 of file rwEMBL.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.